package calculator

import (
	"fyne.io/fyne/v2/lang"
)

func (c *Calculator) UnloadPlanet() {
	c.planetContainer.Hide()
}

func (c *Calculator) LoadPlanet(name string, number uint, L, Mat, Res float64) {
	c.l, c.mat, c.res = L, Mat, Res
	c.planetLabel.SetText(lang.L("planet.title", map[string]any{"Number": number, "Name": name}))
	c.planetMatEntry.SetOrigin(Mat)
	c.planetContainer.Show()
}
